Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 608152 - =net-fs/nfs-utils-1.3.4-r1 stabilization
Summary: =net-fs/nfs-utils-1.3.4-r1 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: STABLEREQ
: 608860 (view as bug list)
Depends on: 548208 610048 610704
Blocks: 414997
  Show dependency tree
 
Reported: 2017-02-03 20:21 UTC by Jeroen Roovers
Modified: 2017-12-04 13:26 UTC (History)
17 users (show)

See Also:
Package list:
net-fs/nfs-utils-1.3.4-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments
Patch nfs-utils to build with newer libevent (libevent.patch,1006 bytes, patch)
2017-03-03 08:54 UTC, Joakim Tjernlund
no flags Details | Diff
nfs-utils-1.3.1-r6.ebuild with libevent patch (nfs-utils-1.3.1-r6.ebuild,4.94 KB, text/plain)
2017-03-03 08:55 UTC, Joakim Tjernlund
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2017-02-03 20:21:44 UTC
nfs-utils-1.2.9-r3.ebuild : DEPEND -=- >=dev-libs/libevent-1.0b
nfs-utils-1.2.9-r3.ebuild : RDEPEND -=- >=dev-libs/libevent-1.0b
nfs-utils-1.3.1-r4.ebuild : DEPEND -=- <=dev-libs/libevent-2.1
nfs-utils-1.3.1-r4.ebuild : RDEPEND -=- <=dev-libs/libevent-2.1
nfs-utils-1.3.1-r5.ebuild : DEPEND -=- <=dev-libs/libevent-2.1
nfs-utils-1.3.1-r5.ebuild : RDEPEND -=- <=dev-libs/libevent-2.1
nfs-utils-1.3.2-r6.ebuild : DEPEND -=- dev-libs/libevent:=
nfs-utils-1.3.2-r6.ebuild : RDEPEND -=- dev-libs/libevent:=
   nfs-utils-1.3.3.ebuild : DEPEND -=- dev-libs/libevent:=
   nfs-utils-1.3.3.ebuild : RDEPEND -=- dev-libs/libevent:=
   nfs-utils-1.3.4.ebuild : DEPEND -=- dev-libs/libevent:=
   nfs-utils-1.3.4.ebuild : RDEPEND -=- dev-libs/libevent:=
Comment 1 Jeroen Roovers gentoo-dev 2017-02-06 00:02:02 UTC
Please note that this bug blocks a security bug.
Comment 2 Michael Palimaka (kensington) gentoo-dev 2017-02-11 07:45:15 UTC
*** Bug 608860 has been marked as a duplicate of this bug. ***
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2017-02-11 11:27:44 UTC
Arches please test and mark stable =net-fs/nfs-utils-1.3.4 with target KEYWORDS:

alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2017-02-11 12:50:41 UTC
Stopping stabilization, as we first need to get fixed bug #548208
Comment 5 Simon 2017-02-19 23:21:14 UTC
Is there anything that can be done to stabilize this?
Ever since libevent 2.1.8 has been stabilized 10 days ago everyone who uses both stable nfs-utils as well as stable libevent gets this blocker:

dev-libs/libevent:0

  (dev-libs/libevent-2.1.8:0/2.1-6::gentoo, ebuild scheduled for merge) conflicts with
    <=dev-libs/libevent-2.1 required by (net-fs/nfs-utils-1.3.1-r5:0/0::gentoo, installed)
    ^^                  ^^^
Comment 6 Alexander Tsoy 2017-02-19 23:58:45 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #4)
> Stopping stabilization, as we first need to get fixed bug #548208

AFAIK this is not a regression and current stable nfs-utils also has this bug.
Comment 7 Jory A. Pratt gentoo-dev 2017-02-22 01:25:37 UTC
*** Bug 609550 has been marked as a duplicate of this bug. ***
Comment 8 Joakim Tjernlund 2017-02-22 17:30:49 UTC
(In reply to Alexander Tsoy from comment #6)
> (In reply to Lars Wendler (Polynomial-C) from comment #4)
> > Stopping stabilization, as we first need to get fixed bug #548208
> 
> AFAIK this is not a regression and current stable nfs-utils also has this
> bug.

It does not, current stable works as it defaults to svcgssd on and
later versions defaults to off. This breaks for current openrc users.

It is not even hard to fix, just add 
 $(use_enable kerberos svcgss)
to nfs-utils so svcgssd is built.

The you can focus on gss-proxy
Comment 9 Joakim Tjernlund 2017-02-22 18:00:38 UTC
I did my own version of nfs-utils-1.3.4 just to make sure I had a working one
and then I got this:
The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by net-nds/rpcbind-0.2.4::gentoo
# required by net-fs/nfs-utils-1.3.4-r1::transmode
# required by @selected
# required by @world (argument)
=net-libs/libtirpc-1.0.1 ~amd64
# required by net-fs/nfs-utils-1.3.4-r1::transmode
# required by @selected
# required by @world (argument)
=net-nds/rpcbind-0.2.4 ~amd64

So it seems =net-libs/libtirpc-1.0.1 and =net-nds/rpcbind-0.2.4 needs
stabilization too?
Comment 10 Joakim Tjernlund 2017-02-22 21:50:06 UTC
I just tested to upgrade 1.3.4 and my NFSv4 mounts broke(hung).
No idea why, back on 1.3.1-r6(with libevent patch)
Comment 11 Fab 2017-03-03 08:21:29 UTC
(In reply to Joakim Tjernlund from comment #10)
> No idea why, back on 1.3.1-r6(with libevent patch)
Can you please share your ebuild and libevent patch. Do you mean that you made your own =dev-libs/libevent-2.0.22 fixed with your patch ?

It's been several weeks that =dev-libs/libevent-2.1.8 was stabilized on several archs, and on various stable systems that use NFSv4 I'm unable to upgrade because of nfs-utils. Nothing seems to move. Nobody communicates. At this point it becomes ridiculous. Is There Anybody Out There? (©)
Comment 12 Joakim Tjernlund 2017-03-03 08:54:19 UTC
Created attachment 465796 [details, diff]
Patch nfs-utils to build with newer libevent
Comment 13 Joakim Tjernlund 2017-03-03 08:55:23 UTC
Created attachment 465798 [details]
nfs-utils-1.3.1-r6.ebuild  with libevent patch
Comment 14 Fab 2017-03-03 10:12:12 UTC
Thanks.
Comment 15 Matt Whitlock 2017-03-03 10:37:15 UTC
Patched nfs-utils builds and boots fine on ARM. Thanks!
Comment 16 Markus Meier gentoo-dev 2017-03-03 19:07:11 UTC
arm stable
Comment 17 Michael Weber (RETIRED) gentoo-dev 2017-03-07 09:23:52 UTC
ppc ppc64 stable.
Comment 18 Jeroen Roovers gentoo-dev 2017-03-15 05:44:02 UTC
Stable for HPPA.
Comment 19 Jeroen Roovers gentoo-dev 2017-03-25 08:44:57 UTC
commit 1dfbfb794811d42b29d95dc15e454b6ffeaf52aa
Author: Agostino Sarubbo <ago@gentoo.org>
Date:   Thu Feb 9 15:36:11 2017 +0100

    dev-libs/libevent: amd64 stable wrt bug #608042

    Package-Manager: portage-2.3.3
    RepoMan-Options: --include-arches="amd64"
    Signed-off-by: Agostino Sarubbo <ago@gentoo.org>


The AMD64 tree has been broken since then?
Comment 20 Luke Bratch 2017-03-25 11:43:15 UTC
(In reply to Jeroen Roovers from comment #19)
> The AMD64 tree has been broken since then?

Yes, that looks about right.

According to various emerge.logs and package.masks I have boxes where I removed nfs-utils just after that date, and other boxes where I've masked >libevent-2.0 just after that date.
Comment 21 Matt Turner gentoo-dev 2017-03-30 02:39:17 UTC
alpha/ia64 stable
Comment 22 Jeff Gerhardt 2017-04-14 00:38:24 UTC
See comment #5 it is still relevant. I have been forced to change all my work stations from using tmux to screen because of this.

Are there any intentions of getting nfs-utils up to speed with were everyone else has been for over a month now?

  (dev-libs/libevent-2.1.8:0/2.1-6::gentoo, binary scheduled for merge) pulled in by
    >=dev-libs/libevent-2.1.5-r4 required by (app-misc/tmux-2.2:0/0::gentoo, installed)
    ^^                  ^^^^^^^^

  (dev-libs/libevent-2.0.22:0/0::gentoo, installed) pulled in by
    <=dev-libs/libevent-2.1 required by (net-fs/nfs-utils-1.3.1-r5:0/0::gentoo, installed)
    ^^
Comment 23 Jeroen Roovers gentoo-dev 2017-04-15 08:59:03 UTC
Stable for AMD64 x86.
Comment 24 Bill Prendergast 2017-04-28 02:10:22 UTC
Can we have
--enable-svcgss
added to the configure stage of this ebuild
net-nds/gss-proxy is currently unstable and using the configure switch will enable stable users to continue to mount nfsv4 with kerberos.
Comment 25 Jeroen Roovers gentoo-dev 2017-04-28 07:13:16 UTC
(In reply to Bill Prendergast from comment #24)
> Can we have
> --enable-svcgss
> added to the configure stage of this ebuild
> net-nds/gss-proxy is currently unstable and using the configure switch will
> enable stable users to continue to mount nfsv4 with kerberos.

You wanted to address this to bug #548208 I guess?
Comment 26 Jakub Paluszak 2017-05-15 19:40:27 UTC
I hit the bug https://bugs.gentoo.org/show_bug.cgi?id=618544 emerging nfs-utils-1.3.4-r1 on my stable hardened amd64 box. See the comments under that bug.
Comment 27 Jeff Gerhardt 2017-05-16 15:05:13 UTC
net-fs/nfs-utils-1.3.4-r1 fails to compile.

Flags set: [ebuild     U  ] net-fs/nfs-utils-1.3.4-r1::gentoo [1.3.4::gentoo] USE="ipv6 libmount nfsidmap nfsv4 nfsv41 tcpd uuid -caps -kerberos -nfsdcld (-selinux)" 0 KiB

Error: checking for Kerberos v5... configure: error: Kerberos v5 with GSS support not found: consider --disable-gss or --with-krb5=
Comment 29 Pacho Ramos gentoo-dev 2017-12-04 13:26:12 UTC
seems that this version was stabilized finally